### Enumeration

# WebKitWebExtension FormSubmissionStep

since: 2.20

#### Declaration

    enum WebKitWebExtension.FormSubmissionStep

#### Description [src]

Used to indicate a particular stage in form submission. See `WebKitWebPage::will-submit-form`.

Available since: 2.20

#### Members

Name | Description
--- | ---
`WEBKIT_FORM_SUBMISSION_WILL_SEND_DOM_EVENT` | Indicates the form’s DOM submit event is about to be emitted.
`WEBKIT_FORM_SUBMISSION_WILL_COMPLETE` | Indicates the form is about to be submitted.